Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation
Class LocalEJBInvocation

    java.lang.Object
      org.jboss.invocation.Invocation
          org.jboss.invocation.LocalEJBInvocation

Direct Known Subclasses:
  CMRInvocation, RelationInterceptor.RelationInvocation

public class LocalEJBInvocation
extends Invocation

Optimized invocation object for Local interface invocations

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.invocation.Invocation
`args, as_is_payload, invocationContext, invocationType, INVOKE_SIGNATURE, method, objectName, payload, transient_payload`

Constructor Summary
`LocalEJBInvocation()`
`LocalEJBInvocation(Object id, Method m, Object[] args, Transaction tx, Principal identity, Object credential)`

Method Summary
`Object` | `getCredential()`
`Object` | `getEnterpriseContext()`
`Object` | `getId()`
`Principal` | `getPrincipal()`
`Transaction` | `getTransaction()` get the transaction.
`void` | `setCredential(Object credential)` Change the security credentials of this invocation.
`void` | `setEnterpriseContext(Object enterpriseContext)`
`void` | `setId(Object id)` Return the invocation target ID.
`void` | `setPrincipal(Principal principal)` Change the security identity of this invocation.
`void` | `setTransaction(Transaction tx)` set the transaction.

Methods inherited from class org.jboss.invocation.Invocation
`getArguments, getAsIsPayload, getAsIsValue, getInvocationContext, getMethod, getObjectName, getPayload, getPayloadValue, getTransientPayload, getTransientValue, getType, getValue, isLocal, performCall, setArguments, setInvocationContext, setMethod, setObjectName, setType, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalEJBInvocation

    public LocalEJBInvocation()

### LocalEJBInvocation

    public LocalEJBInvocation(Object id,
                              Method m,
                              Object[] args,
                              Transaction tx,
                              Principal identity,
                              Object credential)

Method Detail

### setTransaction

    public void setTransaction(Transaction tx)

  Description copied from class: `Invocation`
  set the transaction.

  Overrides:
    `setTransaction` in class `Invocation`

### getTransaction

    public Transaction getTransaction()

  Description copied from class: `Invocation`
  get the transaction.

  Overrides:
    `getTransaction` in class `Invocation`

### getCredential

    public Object getCredential()

  Overrides:
    `getCredential` in class `Invocation`

### setCredential

    public void setCredential(Object credential)

  Description copied from class: `Invocation`
  Change the security credentials of this invocation.

  Overrides:
    `setCredential` in class `Invocation`

### getPrincipal

    public Principal getPrincipal()

  Overrides:
    `getPrincipal` in class `Invocation`

### setPrincipal

    public void setPrincipal(Principal principal)

  Description copied from class: `Invocation`
  Change the security identity of this invocation.

  Overrides:
    `setPrincipal` in class `Invocation`

### getEnterpriseContext

    public Object getEnterpriseContext()

  Overrides:
    `getEnterpriseContext` in class `Invocation`

### setEnterpriseContext

    public void setEnterpriseContext(Object enterpriseContext)

  Overrides:
    `setEnterpriseContext` in class `Invocation`

### getId

    public Object getId()

  Overrides:
    `getId` in class `Invocation`

### setId

    public void setId(Object id)

  Description copied from class: `Invocation`
  Return the invocation target ID. Can be used to identify a cached object

  Overrides:
    `setId` in class `Invocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.